---
layout: default
title: Price Plan Calculator - Compare Pricing Options | GitLab
description: Our pricing calculator lets you configure and customize your GitLab usage needs and identify the ideal pricing plan based on your specific requirements. Learn more!
suppress_header: true
extra_css:
  - enterprise.css
  - pricing-calculator.css
extra_js: 
  - pricing-calculator.js
---
.calculator-page
  .container.container2020 
    .row.u-padding-top-md.u-padding-bottom-md
      .col-md-6
        %div.u-margin-bottom-sm
          %h1
            Pricing Calculator
          %h3
            Note that prices are estimates and not intended as price quotes. Please login to the
            %a{ href: "https://customers.gitlab.com/" } GitLab customer portal 
            or contact
            %a{ href: "https://about.gitlab.com/sales/" } GitLab sales 
            for additional information on pricing.
        %div.btns.u-margin-bottom-xs
          %a.btn.cta-btn.orange-light{:href => "/pricing/" }
            Buy Now
          %a.btn.cta-btn.btn-light{:href => "/sales/"}
            Contact Sales
      .col-md-6.form-wrapper
        %div.table-responsive
          %form{:id => "calcform" }
            %fieldset
              %label.h5{:for => "tier"}
                Select Tier
              %select.tier{:id => "tier", :name => "Tier" }
                %option{:name => "Free", :value => "free" }
                  Free
                %option{:name => "Premium", :value => "premium" }
                  Premium
                %option{:name => "Ultimate", :value => "ultimate" }
                  Ultimate
            %fieldset
              %label.h5{:for => "users"} 
                Enter number of users
              %div.input-wrap 
                %input.users{:id => "users", :name => "Users", :required => "", :type => "number", :value => "10", :min => "0", :step => "1" }
                  %span.caption 
                    USERS
            %fieldset
              %label.h5{:for => "minutes"} 
                Enter ~compute credits usage per month
                %a{:href => "#storage-note"}
                  %sup
                    1
              %div.input-wrap  
                %input.minutes{:id => "minutes", :name => "Minutes", :required => "", :type => "number", :value => "400", :min => "0", :step => "1" }
                  %span.caption 
                    MINUTES
            %fieldset
              %label.h5{:for => "storage"} 
                Enter Repo storage usage in GB per month
                %a{:href => "#usage-note"}
                  %sup
                    2
              %div.input-wrap   
                %input.storage{:id => "storage", :name => "Storage", :required => "", :type => "number", :value => "10", :min => "0", :step => "1" }
                  %span.caption 
                    GB
            %fieldset.wrap
              %input.reset{:type => "button", :value => "Reset" }
            %fieldset.total-wrapper
              %label.h2.total-label{:for => "total"} 
                Annual Price
              %output.total{:id => "total", :name => "Total", :value => "0" }
                0
            %div
              %sup{:id => "usage-note"}
                1 
              %span 
                To view current usage, go to Group Settings -> Usage -> CI/CD Minutes
            %div
              %sup{:id => "storage-note"}
                2 
              %span
                To view current usage, go to Group Settings -> Usage -> Storage. Assuming all CI/CD & Storage usage in a single group


